# Book transfer object

The book transfer object is the current state of a single book transfer initiated in Column. A book transfer is the movement of funds between two bank accounts under your platform, and once initiated, happen instantaneously 24/7. Read more about [book transfers here](/guides/book-transfers-and-holds).

### Object Parameters

- `allow_overdraft` `boolean` — Allows the account to go negative for an outgoing transfer. The bank account needs to have `is_overdraftable` enabled with an overdraft reserve account linked to it
- `amount` `number` — Amount (in cents) of the funds that will be transferred between sender and receiver accounts. e.g. $1.75 would be represented by 175.
- `created_at` `date-time` — The timestamp at which the transfer request is created
- `currency_code` `string` — The three-letter currency code defined in ISO 4217. e.g. `USD`
- `description` `string` — A description of the transfer visible in account statements
- `id` `string` — The unique ID of the object
- `idempotency_key` `string` — The idempotency key specified in the book transfer
- `receiver_account_number_id` `string` — ID of the account number that will receive the transfer
- `receiver_bank_account_id` `string` — ID of the bank account that will receive the transfer
- `sender_account_number_id` `string` — ID of the account number that is sending the transfer
- `sender_bank_account_id` `string` — ID of the bank account that is sending the transfer
- `status` `string` — The current status of the book transfer. Possible values: `REJECTED`, `COMPLETED`, `HOLD`, and `CANCELED`
- `updated_at` `date-time` — The timestamp at which the book transfer was updated (typically a status update)

**Response 200**

```json
{
  "allow_overdraft": false,
  "amount": 10000,
  "created_at": "2024-01-15T09:30:00Z",
  "currency_code": "USD",
  "description": "Example description",
  "id": "book_2Q1ctiJm1NypVqCt8UBC8e4xTfH",
  "idempotency_key": "2Q1ctiJm1NypVqCt8UBC8e4xTfH",
  "receiver_account_number_id": "acno_2Q1ctiJm1NypVqCt8UBC8e4xTfH",
  "receiver_bank_account_id": "bacc_2Q1ctiJm1NypVqCt8UBC8e4xTfH",
  "sender_account_number_id": "acno_2Q1ctiJm1NypVqCt8UBC8e4xTfH",
  "sender_bank_account_id": "bacc_2Q1ctiJm1NypVqCt8UBC8e4xTfH",
  "status": "pending",
  "updated_at": "2024-01-15T09:30:00Z"
}
```
